# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'navigator.ui'
#
# Created by: PyQt5 UI code generator 5.5.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_navigator(object):
    def setupUi(self, navigator):
        navigator.setObjectName("navigator")
        navigator.resize(433, 462)
        self.verticalLayout = QtWidgets.QVBoxLayout(navigator)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_2 = QtWidgets.QLabel(navigator)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_3.addWidget(self.label_2)
        self.filter_edit = QtWidgets.QLineEdit(navigator)
        self.filter_edit.setObjectName("filter_edit")
        self.horizontalLayout_3.addWidget(self.filter_edit)
        self.includeLongNamesFilter_button = QtWidgets.QToolButton(navigator)
        self.includeLongNamesFilter_button.setCheckable(True)
        self.includeLongNamesFilter_button.setChecked(True)
        self.includeLongNamesFilter_button.setObjectName("includeLongNamesFilter_button")
        self.horizontalLayout_3.addWidget(self.includeLongNamesFilter_button)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.table_view = QtWidgets.QTableView(navigator)
        self.table_view.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.table_view.setHorizontalScrollMode(QtWidgets.QAbstractItemView.ScrollPerPixel)
        self.table_view.setShowGrid(False)
        self.table_view.setSortingEnabled(True)
        self.table_view.setObjectName("table_view")
        self.table_view.horizontalHeader().setStretchLastSection(True)
        self.table_view.verticalHeader().setVisible(False)
        self.verticalLayout.addWidget(self.table_view)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(navigator)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.airfieldFilter_button = QtWidgets.QToolButton(navigator)
        self.airfieldFilter_button.setCheckable(True)
        self.airfieldFilter_button.setChecked(True)
        self.airfieldFilter_button.setObjectName("airfieldFilter_button")
        self.horizontalLayout.addWidget(self.airfieldFilter_button)
        self.aidFilter_button = QtWidgets.QToolButton(navigator)
        self.aidFilter_button.setCheckable(True)
        self.aidFilter_button.setChecked(True)
        self.aidFilter_button.setObjectName("aidFilter_button")
        self.horizontalLayout.addWidget(self.aidFilter_button)
        self.fixFilter_button = QtWidgets.QToolButton(navigator)
        self.fixFilter_button.setCheckable(True)
        self.fixFilter_button.setChecked(True)
        self.fixFilter_button.setObjectName("fixFilter_button")
        self.horizontalLayout.addWidget(self.fixFilter_button)
        self.rnavFilter_button = QtWidgets.QToolButton(navigator)
        self.rnavFilter_button.setCheckable(True)
        self.rnavFilter_button.setObjectName("rnavFilter_button")
        self.horizontalLayout.addWidget(self.rnavFilter_button)
        self.pkgFilter_button = QtWidgets.QToolButton(navigator)
        self.pkgFilter_button.setCheckable(True)
        self.pkgFilter_button.setChecked(True)
        self.pkgFilter_button.setObjectName("pkgFilter_button")
        self.horizontalLayout.addWidget(self.pkgFilter_button)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.label_2.setBuddy(self.filter_edit)

        self.retranslateUi(navigator)
        QtCore.QMetaObject.connectSlotsByName(navigator)
        navigator.setTabOrder(self.filter_edit, self.table_view)
        navigator.setTabOrder(self.table_view, self.airfieldFilter_button)
        navigator.setTabOrder(self.airfieldFilter_button, self.aidFilter_button)
        navigator.setTabOrder(self.aidFilter_button, self.fixFilter_button)
        navigator.setTabOrder(self.fixFilter_button, self.rnavFilter_button)

    def retranslateUi(self, navigator):
        _translate = QtCore.QCoreApplication.translate
        self.label_2.setText(_translate("navigator", "Filter:"))
        self.filter_edit.setToolTip(_translate("navigator", "Case insensitive regexp search"))
        self.includeLongNamesFilter_button.setText(_translate("navigator", "Incl. names"))
        self.label.setText(_translate("navigator", "Show:"))
        self.airfieldFilter_button.setToolTip(_translate("navigator", "Airfields"))
        self.airfieldFilter_button.setText(_translate("navigator", "AD"))
        self.aidFilter_button.setToolTip(_translate("navigator", "Radio navigation beacons"))
        self.aidFilter_button.setText(_translate("navigator", "Navaids"))
        self.fixFilter_button.setText(_translate("navigator", "Fixes"))
        self.rnavFilter_button.setToolTip(_translate("navigator", "Area navigation points"))
        self.rnavFilter_button.setText(_translate("navigator", "RNAV"))
        self.pkgFilter_button.setToolTip(_translate("navigator", "Parking positions at this airport"))
        self.pkgFilter_button.setText(_translate("navigator", "PKG"))

